function a3f

  
  y0 = [1;1;1]/sqrt(3);
  T = [0; 5];
  h = 0.1;

  a = [1;0;0]; c = 1;
  f = @(t,y) cross(a,y) + c*cross(y,cross(a,y));

  df = @(t,y) [0, 2*c*y(2), 2*c*y(3); -c*y(2), -c*y(1), -1; -c*y(3), 1, -c*y(1)];

  [t,yLinIMP] = LinImpMidPointSolve(f,df,y0,T,h);
  [tRef,yRef] = ode45(f,T,y0,odeset('Abstol',1e-8,'Reltol',1e-8));
  
%plot  figure;
  plot(t,yLinIMP(1,:),'b+-',tRef,yRef(:,1), 'r-');
  title('{\bf Solution with ode45 and LinImpMidPointSolveSol}')
  legend('LinIMP', 'ode45', 'Location', 'SouthEast');